Subject: Herbs, perennials, sedums etc

From: [email-masked] (Al Ross)
Date: Thu, 25 May 1995 23:40:33 +1000

I hope this post doesn’t step on anyone's toes..  I’m a little new at this... 
 
Several people that I met on several lists and news-groups have requested that I post this, and that it 
would be helpful to many. 
 
I have a small nursery and propagate herbs, succulents, perennials and other things and ship them to a 
few nurseries to be potted up and grown on. I take orders for MIXED FLATS and grow to order. I have 12 
kinds ot thymes, 4 oreganos, 7 rosemaries, and lots of other cooking herbs.  Some of the perennials I am 
most proud of is the salvias like Lady in Red, Blue Spear, Peach and several more coccineas. I just got in 
Mexican Bush sage and Australian mint to go with the other mints and sages. 
 
My friends on the Net suggested that many gardeners and cooks out there might like to be able to name 
the plants that they want to grow and have them shipped to them. 
 
If this is of interest to you....  make a list of 5 or 6 kinds of plants that you would like and email me. I am 
working on a list of what is available and am expanding all the time. 
 
I primarily work with flats of 36 and 98 and can get them to you for $50 plus shipping. 
 
Al Ross 
Nature’s Touch Nursery 
2707 C James Rd. 
Charlotte NC 
704-535-0192 
sundance@ cybernetics.net